#!/bin/env python
# coding: utf-8

import pyfits
from optparse import OptionParser

import numpy


parser = OptionParser()

(options, args) = parser.parse_args ()

if (len(args) !=1) :
    print "Usage : gen_degrade.py output.fits"

# Génération de la matrice
a = numpy.zeros((2053,2160))
for i in range(2160):
    a[:,i]=i+1

# Creation de l'objet fits
hdu = pyfits.PrimaryHDU(a)
hdulist = pyfits.HDUList([hdu])

prihdr = hdulist[0].header
prihdr.add_history('Generation de la mire')
hdulist.writeto(args[0],clobber=True)




hdulist.close()
